org.apache.cassandra.auth

## Class JMXResource

- java.lang.Object
- - org.apache.cassandra.auth.JMXResource

All Implemented Interfaces:
  IResource

    public class JMXResource
    extends java.lang.Object
    implements IResource

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Set<Permission>` `applicablePermissions()` Returns the set of Permissions that may be applied to this resource Certain permissions are not applicable to particular types of resources.
`boolean` `equals(java.lang.Object o)`
`boolean` `exists()`
`static JMXResource` `fromName(java.lang.String name)` Parses a role resource name into a RoleResource instance.
`java.lang.String` `getName()`
`java.lang.String` `getObjectName()`
`IResource` `getParent()` Gets next resource in the hierarchy.
`int` `hashCode()`
`boolean` `hasParent()` Indicates whether or not this resource has a parent in the hierarchy.
`static JMXResource` `mbean(java.lang.String name)`
`static JMXResource` `root()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### mbean

    public static JMXResource mbean(java.lang.String name)

#### fromName

    public static JMXResource fromName(java.lang.String name)

Parses a role resource name into a RoleResource instance.

Parameters:
  `name` - Name of the data resource.
Returns:
  RoleResource instance matching the name.

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `IResource`
Returns:
  printable name of the resource.

#### getObjectName

    public java.lang.String getObjectName()

Returns:
  for a non-root resource, return the short form of the resource name which represents an ObjectName (which may be of the pattern or exact kind). i.e. not the full "root/name" version returned by getName(). Throws IllegalStateException if called on the root-level resource.

#### root

    public static JMXResource root()

Returns:
  the root-level resource.

#### getParent

    public IResource getParent()

Description copied from interface: `IResource`
Gets next resource in the hierarchy. Call hasParent first to make sure there is one.

Specified by:
  `getParent` in interface `IResource`
Returns:
  Resource parent (or IllegalStateException if there is none). Never a null.

#### hasParent

    public boolean hasParent()

Description copied from interface: `IResource`
Indicates whether or not this resource has a parent in the hierarchy. Please perform this check before calling getParent() method.

Specified by:
  `hasParent` in interface `IResource`
Returns:
  Whether or not the resource has a parent in the hierarchy.

#### exists

    public boolean exists()

Specified by:
  `exists` in interface `IResource`
Returns:
  Whether or not this resource exists in Cassandra.

#### applicablePermissions

    public java.util.Set<Permission> applicablePermissions()

Description copied from interface: `IResource`
Returns the set of Permissions that may be applied to this resource Certain permissions are not applicable to particular types of resources. For instance, it makes no sense to talk about CREATE permission on table, or SELECT on a Role. Here we filter a set of permissions depending on the specific resource they're being applied to. This is necessary because the CQL syntax supports ALL as wildcard, but the set of permissions that should resolve to varies by IResource.

Specified by:
  `applicablePermissions` in interface `IResource`
Returns:
  the permissions that may be granted on the specific resource

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`